<?php

// find files using wildcards, return file names 
class MKS_FileFinder
{
	protected $pattern = '';	// string
	protected $single = false;	// boolean
	
	// search pattern to use, cannot set empty string
	function setPattern($string)
	{
		MKS_Sanitizer::assertNonEmptyString($string, 'file name search pattern');
		
		$this->pattern = $string;
	}
	
	// limit to a single hit
	function setSingle($bool)
	{
		$this->single = boolval($bool);
	}
	
	// returns a string in single mode, an array otherwise
	function getResult()
	{
		$files = glob($this->pattern);
		
		MKS_Sanitizer::assertNonEmptyArray($files, 'files matching '.$this->pattern);
		
		if ($this->single)
		{
			MKS_Sanitizer::assertNumberBetween(1, 1, count($files), 'number of files matching '.$this->pattern);
			
			return $files[0];
		}
		else
			return $files;
	}
}

?>